---
title: RTCIceServer.credentialType
slug: Web/API/RTCIceServer/credentialType
tags:
  - Authentication
  - ICE
  - OAuth
  - Property
  - RTCIceServer
  - Reference
  - WebRTC
  - WebRTC API
  - credentialType
  - credentials
  - password
---
<p>{{APIRef("WebRTC")}}</p>

<p>The {{domxref("RTCIceServer")}} dictionary's <strong><code>credentialType</code></strong> property is a string value from the <a href="#RTCIceCredentialType_enum"><code>RTCIceCredentialType</code> enum</a> which indicates what type of credential the {{domxref("RTCIceServer.credential")}} value is. The default is <code>password</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>iceServer</em> = {
                  ...
                  credentialType = <em>newCredentialType</em>,
                  ...
                };

var <em>credentialType</em> = <em>iceServer</em>.credentialType;

<em>iceServer</em>.credentialType = <em>newCredentialType</em>;</pre>

<h3 id="Value">Value</h3>

<p>The permitted values are found in the {{domxref("RTCIceCredentialType")}} enumerated string type:</p>

<p>{{page("/en-US/docs/Web/API/RTCIceCredentialType", "Values")}}</p>

<h2 id="Example">Example</h2>

<p>This example creates a new {{domxref("RTCPeerConnection")}} which will use a {{Glossary("TURN")}} server at <code>turnserver.example.org</code> to negotiate connections. Logging into the TURN server will use the username "webrtc" and the creative password "turnpassword".</p>

<pre class="brush: js">myPeerConnection = new RTCPeerConnection({
  iceServers: [
    {
      urls: "turn:turnserver.example.org",  // A TURN server
      username: "webrtc",
      credential: "turnpassword",
      credentialType: "password"
    }
  ]
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-rtciceserver-credential', 'RTCIceServer.credential') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceServer.credentialType")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("RTCIceServer")}}</li>
 <li>{{domxref("RTCIceServer.credential")}}</li>
</ul>
